Bug 991645 - libzip-0.11.1 is available
libzip-0.11.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libzip (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 04:50 EDT by Robin Lee
Modified: 2013-08-21 07:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 07:40:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2013-08-03 04:50:55 EDT
Description of problem:
libzip-0.11.1 is available
Please refer to http://www.nih.at/libzip/
Comment 1 Remi Collet 2013-08-08 02:57:16 EDT
Reference: http://upstream-tracker.org/versions/libzip.html

Notice: while public API is nearly sable and shouldn't raise any big issue (well, 2 dropped symbols without soname change...), the internal API is really different, which requires a huge adaptation of php zip extension (yes php use private zip API).
Comment 2 Remi Collet 2013-08-08 08:36:50 EDT
Proper way to make things more maintainable :

- update libzip to 0.11 in rawhide

- drop zip extension version 1.11 from php main package

- resurrect php-pecl-zip package as new version 1.12.1 bundles libzip 0.11.1, so unbundling will be easier (and I'm now also upstream for pecl/zip)


So : target will be fedora >= 20 only
Comment 3 Remi Collet 2013-08-21 07:40:31 EDT
Package: libzip-0.11.1-1.fc20
Tag: f20
Status: complete

Note You need to log in before you can comment on or make changes to this bug.